Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.query.base
Class Operator

    java.lang.Object
      com.ibm.websphere.query.base.Operator

All Implemented Interfaces:
  IOperator, IStringBuilder, java.io.Serializable

    public class Operator

extends java.lang.Object
implements IOperator

The Operator class represents an operator in the query framework. It can be used in a predicate, an order by, and wherever appropriate.

This class contains a name, and a metadata that encapsulates information about mapping to a domain specific operator.

See Also:
  Serialized Form

Constructor Summary
`Operator()` Creates a new Operator instance, default constructor.
`Operator(java.lang.String newName)` Creates a new Operator instance with the given name.
`Operator(java.lang.String newName, java.lang.Object newMetadata)` Creates a new Operator instance with the given name, and metadata object.

Method Summary
`java.lang.String` | `buildString(ISelectQueryCallback builder)` Builds a query string for the operator.
`void` | `buildString(ISelectQueryCallback builder, java.lang.StringBuffer sb)`
`boolean` | `equals(java.lang.Object o)` Tests for equality with the given object.
`java.lang.Object` | `getMetadata()` Returns the metadata object, the domain specific object the operator is mapped to.
`java.lang.String` | `getName()` Returns the operator name.
`int` | `hashCode()` Computes a hash code for the operator.
`void` | `setMetadata(java.lang.Object newMetadata)` Sets the metadata object, the domain specific object the operator is mapped to.
`void` | `setName(java.lang.String newName)` Sets the operator name.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Operator

    public Operator()

  Creates a new Operator instance, default constructor.

### Operator

    public Operator(java.lang.String newName)

  Creates a new Operator instance with the given name.

### Operator

    public Operator(java.lang.String newName,
                    java.lang.Object newMetadata)

  Creates a new Operator instance with the given name, and metadata object.

Method Detail

### getName

    public java.lang.String getName()

  Returns the operator name.

  Specified by:
    `getName` in interface `IOperator`

### setName

    public void setName(java.lang.String newName)

  Sets the operator name.

### buildString

    public java.lang.String buildString(ISelectQueryCallback builder)
                                 throws QueryException

  Builds a query string for the operator.

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`

### buildString

    public void buildString(ISelectQueryCallback builder,
                            java.lang.StringBuffer sb)
                     throws QueryException

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`

### equals

    public boolean equals(java.lang.Object o)

  Tests for equality with the given object.

  Overrides:
    `equals` in class `java.lang.Object`

### getMetadata

    public java.lang.Object getMetadata()

  Returns the metadata object, the domain specific object the operator is mapped to.

### hashCode

    public int hashCode()

  Computes a hash code for the operator.

  Overrides:
    `hashCode` in class `java.lang.Object`

### setMetadata

    public void setMetadata(java.lang.Object newMetadata)

  Sets the metadata object, the domain specific object the operator is mapped to.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD